| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Attributes | Properties | List of all members
Digikam::GPSLinkItemSelectionModel Class Reference

Makes it possible to share a selection in multiple views which do not have the same source model. More...

Inheritance diagram for Digikam::GPSLinkItemSelectionModel:

## Signals
void | linkedItemSelectionModelChanged ()

## Public Member Functions
| GPSLinkItemSelectionModel (QAbstractItemModel *const targetModel, QItemSelectionModel *const linkedItemSelectionModel, QObject *const parent=nullptr)
| GPSLinkItemSelectionModel (QObject *const parent=nullptr)
QItemSelectionModel * | linkedItemSelectionModel () const
void | select (const QItemSelection &selection, QItemSelectionModel::SelectionFlags command) override
void | select (const QModelIndex &index, QItemSelectionModel::SelectionFlags command) override
void | setLinkedItemSelectionModel (QItemSelectionModel *const selectionModel)

## Protected Attributes
GPSLinkItemSelectionModelPrivate *const | d_ptr

## Properties
QItemSelectionModel * | linkedItemSelectionModel

## Detailed Description

Although Qt documentation, multiple views can share the same QItemSelectionModel, the views then need to have the same source model.

If there is a proxy model between the model and one of the views, or different proxy models in each, this class makes it possible to share the selection between the views.